## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesTreeWalker Class Reference

This class is deprecated. More...

`#include <XercesTreeWalker.hpp>`

Inheritance diagram for XercesTreeWalker:

[legend]
List of all members.

## Public Methods

- XercesTreeWalker ()
    Constructor. More...
- virtual ~XercesTreeWalker ()
- virtual void traverse (const DOM_NodeType &pos)
    Perform a pre-order traversal non-recursive style. More...
- virtual void traverse (const DOM_NodeType &pos, const DOM_NodeType &parent)
    Perform a pre-order traversal non-recursive style. More...

## Protected Methods

- virtual void startNode (const DOM_NodeType &node)=0
- virtual void endNode (const DOM_NodeType &node)=0

## Detailed Description

This class is deprecated.

Deprecated:
  This class works with the deprecated Xerces DOM bridge.

## Constructor & Destructor Documentation

XercesTreeWalker::XercesTreeWalker ( | )

| Constructor.

XercesTreeWalker::~XercesTreeWalker ( | )`[virtual]`

## Member Function Documentation

void XercesTreeWalker::endNode ( | const DOM_NodeType & node )`[protected, pure virtual]`

| Reimplemented in XercesDocumentBridge::BuildBridgeTreeWalker.

void XercesTreeWalker::startNode ( | const DOM_NodeType & node )`[protected, pure virtual]`

| Reimplemented in XercesDocumentBridge::BuildBridgeTreeWalker.

void XercesTreeWalker::traverse ( | const DOM_NodeType & pos,
| const DOM_NodeType & parent )`[virtual]`

| Perform a pre-order traversal non-recursive style.

void XercesTreeWalker::traverse ( | const DOM_NodeType & pos )`[virtual]`

| Perform a pre-order traversal non-recursive style.

The documentation for this class was generated from the following file:

- XercesTreeWalker.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.